Rysunek Roboczy: Adnotacja wieloliniowa

From FreeCAD Documentation
Revision as of 18:16, 22 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Text

Lokalizacja w menu
Draft → Text
Środowisko pracy
Draft, Arch
Domyślny skrót
T E
Wprowadzono w wersji
0.7
Zobacz także
Draft Label, Draft ShapeString

Description

The Draft Text tool inserts a multi-line textbox at a given point. It uses the Draft Linestyle set on the Draft Tray.

Alternatively: To create a text label with a leader and an arrow use Draft Label. To create solid text or 3D letters use Draft ShapeString with Part Extrude.

Pojedynczy punkt wymagany przy ustawianiu pola tekstowego

Warning: The texts created with version 0.18 are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.

Usage

  1. Press the Draft Text button, or press T then E keys.
  2. Click a point on the 3D view, or type a coordinate and press the add point button.
  3. Enter the desired text, pressing Enter between each line.
  4. Press Enter twice to finish the operation.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Hold Ctrl while placing the text to force snapping your point to the nearest snap location, independently of the distance.
  • Press Enter or ↓ Down arrow to enter a new line of text.
  • Press ↑ Up arrow to edit the previous line of text.
  • Press Enter or ↓ Down arrow twice to finish editing the text.
  • Press Esc or the Close button to abort the current command.

Properties

Data

  • DANEText: specifies the contents of the text block as a list of strings; each element on the list, separated by a comma, indicates a new line.
  • DANEPosition: specifies the base point of the first line of the text block.
  • DANEAngle: specifies the rotation of the baseline of the first line of the text block.
  • DANEAxis: specifies the axis to use for the rotation.

View

  • WIDOKDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
  • WIDOKFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • WIDOKFont Size: specifies the size of the letters. If the text object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • WIDOKJustification: specifies if the text aligns to the left, right or at the center of the base point.
  • WIDOKLine Spacing: specifies the space between lines of text.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Text tool can be used in macros and from the Python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Creates a Text object, at a point defined by a FreeCAD.Vector.
  • stringlist is a string, or a list of strings; if it's a list, each element is displayed in its own line.
  • If screen is True, the text always faces the camera view direction, otherwise it aligns with the scene axes, and lies on the XY plane.

The placement of the Text can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

The view properties of Text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)